import pandas as pd

import lhcsmapi
from lhcsmapi.Time import Time
from lhcsmapi.analysis.CircuitQuery import CircuitQuery


class _600ACircuitQuery(CircuitQuery):

    def create_report_analysis_template(self, timestamp_fgc, author=''):
        columns = ['Circuit Name', 'Family', 'Period', 'Date', 'Time', 'flagged in APEX', 'Quench Current',
                   'I_MEAS MIITs', 'Reason', 'Pivot', 'Quench Origin',
                   'Ramp Rate', 'Plateau Duration', 'dUres/dt', 'EE max voltage', 'Earth Current', 'Coupling',
                   'Comment', 'performed_by', 'Reference Doc', 'lhcsmapi_version']
        results_table = pd.DataFrame(columns=columns, index=[0])

        results_table['Circuit Name'] = self.circuit_name
        results_table['Family'] = self.circuit_name.split('.')[0]
        results_table['Date'] = Time.to_string_short(timestamp_fgc).split(' ')[0]
        results_table['Time'] = Time.to_string_short(timestamp_fgc).split(' ')[1]
        results_table['performed_by'] = author

        results_table['lhcsmapi_version'] = lhcsmapi.__version__

        return results_table





